%define module_name pybugz

%define name    python-bugz
%define release	%mkrel 3
%define subrel  1
Summary:        A python and command line interface to Bugzilla 
Name:		%name
Version:        0.6.11	
Release:	%release
Source0:         http://media.liquidx.net/static/%name/%module_name-%version.tar.bz2	
Patch1:         pybugz-0.6.11-fix-import.patch
License:	GPL
Group:		Development/Python
Url:		http://www.liquidx.net/pybugz/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  python-devel
BuildArch:      noarch
Requires:       python-elementtree

%description
PyBugz is a python and command line interface to Bugzilla.

It was conceived as a tool to speed up the workflow for Gentoo Linux developers
and contributors when dealing with bugs using Bugzilla. By avoiding the clunky 
web interface, the user quickly search, isolate and contribute to the project 
very quickly. 
Developers alike can easily extract attachments and close bugs all from the 
comfort of the command line.

PyBugz is written in Python and written in a way to be extended easily for 
use on other Bugzillas.  

%prep
%setup -q -n %module_name-%version
%patch1 -p0
perl -pi -e 's|http://bugs.gentoo.org/|http://qa.mandriva.com/|' bugz.py

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES


%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES 
%defattr(-,root,root) 
%doc README




%changelog
* Sun Jul 22 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.11-3.1mdv2007.1
+ Revision: 54465
- [BUGFIX] Add Patch 1 to fix bug  #31852 (thanks to Gustavo De Nardin)

  + Andreas Hasenack <andreas@mandriva.com>
    - branched cooker into 2007.1 (will have to revert some recent changes)


* Wed Dec 20 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.11-2mdv2007.0
+ Revision: 100501
- Rebuild against new python

* Wed Sep 27 2006 Michael Scherer <misc@mandriva.org> 0.6.11-1mdv2007.1
+ Revision: 62647
- add a Requires on python-elementtree, thanks titi for spotting this
- version 0.6.11
- Import python-bugz

* Fri Sep 22 2006 Michael Scherer <misc@mandriva.org> 0.6-1mdv2007.0
- first package

